Module gengeo :: Class CylinderWithJointSet

[hide private]
[frames] | no frames]

# Class CylinderWithJointSet

     object --+
              |
    ??.instance --+
                  |
            AVolume --+
                      |
              AVolume3D --+
                          |
                         CylinderWithJointSet

A class defining a cylinder in 3D space containing an optional joint set.

Instance Methods | [hide private]

__init__(...) Constructs a cylinder with the specified origin, axis, length and radius. |

__str__(...) str(x) |

void

addJoints(...) Adds a set of triangluar patches as joints. |

Inherited from `AVolume`: `__reduce__` Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `244`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Constructs a cylinder with the specified origin, axis, length and radius.

Parameters:
  - `origin` (Vector3) - Coordinate of origin (centre of base) of the cylinder
  - `axis` (Vector3) - Unit vector in the direction of the cylinder axis
  - `length` (double) - Length of the cylinder
  - `radius` (double) - Radius of the cylinder
Overrides: object.__init__

### __str__(...)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

### addJoints(...)

Adds a set of triangluar patches as joints.

Parameters:
  - `plane` (Plane) - the set of patches
Returns: void